org.jCharts.chartData

## Class ScatterPlotDataSeries

- java.lang.Object
- - org.jCharts.chartData.AxisDataSeries
  - - org.jCharts.chartData.ScatterPlotDataSeries

All Implemented Interfaces:
  Serializable, IAxisDataSeries, IData, IScatterPlotDataSeries, HTMLTestable

    public class ScatterPlotDataSeries
    extends AxisDataSeries
    implements IScatterPlotDataSeries, HTMLTestable

Collection of all IAxisPlotDataSets to display in an AxisChart

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.jCharts.chartData.AxisDataSeries

`dataSets, totalNumberOfDataSets`

### Constructor Summary

Constructors
Constructor and Description
`ScatterPlotDataSeries(IScatterPlotDataSet iScatterPlotDataSet, String xAxisTitle, String yAxisTitle, String chartTitle)` Constructor

### Method Summary

Methods
`void` `toHTML(HTMLGenerator htmlGenerator)` Returns the total number data dimensions in all of the IAxisChartDataSets contained in this collection.

### Methods inherited from class org.jCharts.chartData.AxisDataSeries

`addIAxisPlotDataSet, getChartTitle, getIAxisPlotDataSet, getIAxisPlotDataSetIterator, getSizeOfEachDataSet, getTotalNumberOfDataSets, getXAxisTitle, getYAxisTitle, size, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jCharts.chartData.interfaces.IAxisDataSeries

`addIAxisPlotDataSet, getChartTitle, getIAxisPlotDataSet, getIAxisPlotDataSetIterator, getTotalNumberOfDataSets, getXAxisTitle, getYAxisTitle, size, validate`

### Constructor Detail

#### ScatterPlotDataSeries

    public ScatterPlotDataSeries(IScatterPlotDataSet iScatterPlotDataSet,
                         String xAxisTitle,
                         String yAxisTitle,
                         String chartTitle)

Constructor

Parameters:
  `xAxisTitle` - if this is NULL, no title will be displayed
  `yAxisTitle` - if this is NULL, no title will be displayed
  `chartTitle` - if this is NULL, no title will be displayed

### Method Detail

#### toHTML

    public void toHTML(HTMLGenerator htmlGenerator)

Returns the total number data dimensions in all of the IAxisChartDataSets contained in this collection. For example, if this contains two IAxisChartDataSets and each one contains 3 dimensions ( 3 lines and 3 sets of points ), this should return six. This provides a means to avoid looping the contents of the series each time i need the value. // * @return int public int getTotalNumberOfDataSets() { return this.totalNumberOfDataSets; } /********************************************************************************************* Enables the testing routines to display the contents of this Object.

Specified by:
  `toHTML` in interface `HTMLTestable`
Overrides:
  `toHTML` in class `AxisDataSeries`
Parameters:
  `htmlGenerator` -